<div class="mx-auto mt-16 max-w-[1170px] md:px-4">
  <h1 class="mg:text-3xl mb-10 px-4 text-2xl font-bold md:px-0">
    Личный кабинет
  </h1>
  <div class="flex flex-col md:flex-row md:space-x-10 lg:space-x-13">
    <main class="order-2 flex-grow md:order-1">
      <!-- item-1-->
      <div
        [routerLink]="['report']"
        class="mb-2 flex border-y border-gray-200 py-5 px-4 hover:cursor-pointer hover:border-yellow sm:space-x-13 sm:py-9 sm:px-6 md:space-x-0 md:rounded-sm md:border-x md:px-8 lg:space-x-13 lg:pl-13 lg:pr-10"
      >
        <div class="hidden sm:block md:hidden lg:block">
          <tui-svg src="icons::catalog" class="!h-[53px] !w-[68px]"></tui-svg>
        </div>
        <div class="basis-full">
          <h2 class="mb-2 text-lg font-bold">Мои заказы</h2>
          <p>Удобное формирование отчета с применением фильтров.</p>
        </div>
        <div class="hidden items-center sm:flex">
          <tui-svg
            src="icons::caret-right"
            class="!h-[26px] !w-[13px]"
          ></tui-svg>
        </div>
      </div>
      <!-- item-2-->
      <div
        [routerLink]="['profile', 'entity']"
        class="mb-2 flex border-y border-gray-200 py-5 px-4 hover:cursor-pointer hover:border-yellow sm:space-x-13 sm:py-9 sm:px-6 md:space-x-0 md:rounded-sm md:border-x md:px-8 lg:space-x-13 lg:pl-13 lg:pr-10"
      >
        <div class="hidden sm:block md:hidden lg:block">
          <tui-svg src="icons::profile" class="!h-[54px] !w-[65px]"></tui-svg>
        </div>
        <div class="basis-full">
          <h2 class="mb-2 text-lg font-bold">Персональные данные</h2>
          <p>Данные вашего личного кабинета и платежного лица.</p>
        </div>
        <div class="hidden items-center sm:flex">
          <tui-svg
            src="icons::caret-right"
            class="!h-[26px] !w-[13px]"
          ></tui-svg>
        </div>
      </div>
    </main>
    <!-- aside-->
    <aside
      *tuiLet="isBalanceLoading$ | async as isBalanceLoading"
      class="order-1 mb-8 flex flex-shrink-0 flex-col items-start px-4 md:mb-0 md:px-0"
    >
      <ng-container *tuiLet="balance$ | async as balance">
        <div class="mb-7 flex w-full flex-col">
          <span class="text-sm">Ваш баланс:</span>
          <div class="flex max-w-[270px] items-center justify-between">
            <tui-loader [showLoader]="isBalanceLoading" class="w-full">
              <b
                class="block h-13 w-full text-3xl"
                [class.opacity-0]="isBalanceLoading"
                >{{ balance && balance.total }} {{ 'RUB' | tuiCurrency }}</b
              >
            </tui-loader>
            <button
              tuiIconButton
              type="button"
              appearance="icon"
              icon="icons::refresh"
              [tuiHint]="!isBalanceLoading && tooltip"
              tuiHintAppearance="onDark"
              class="ml-5"
              [class.animate-spin]="isBalanceLoading"
              (click)="loadBalance()"
            ></button>
          </div>
        </div>
        <ng-template #tooltip>
          <ng-container *ngIf="balance">
            <div class="text-xs">За период:</div>
            <b class="text-xs">{{ balance.period }}</b>
            <br />
            <span class="text-xs">На счету: </span>
            <b class="text-xs">{{ balance.debet }} {{ 'RUB' | tuiCurrency }}</b>
            <br />
            <span class="text-xs">Заказов на: </span>
            <b class="text-xs"
              >{{ balance.orderSum }} {{ 'RUB' | tuiCurrency }}</b
            >
            <br />
            <span class="text-xs">Услуг на: </span>
            <b class="text-xs"
              >{{ balance.serviceSum }} {{ 'RUB' | tuiCurrency }}</b
            >
          </ng-container>
        </ng-template>
      </ng-container>
      <button
        tuiButton
        type="button"
        class="mb-5 w-[270px]"
        size="m"
        [routerLink]="['/new-order', 'checkout', '1']"
      >
        Оформить заказ
      </button>
      <a href="#" class="space-x-1 md:text-xs lg:text-base">
        <span> Выйти из личного кабинета </span>
        <tui-svg src="icons::logout" class="!h-[27px] !w-[27px]"></tui-svg>
      </a>
    </aside>
  </div>
</div>
